# Uses of Interface
alt.java.net.Socket

Packages that use Socket
Package
Description
alt.java.net
com.mockobjects.net

## Uses of Socket in alt.java.net

Classes in alt.java.net that implement Socket
Modifier and Type
Class
Description
`class`
`SocketImpl`
Methods in alt.java.net that return Socket
Modifier and Type
Method
Description
`Socket`
SocketFactory.`createSocket(String aHost, int aPort)`
`Socket`
SocketFactoryImpl.`createSocket(String host, int port)`

## Uses of Socket in com.mockobjects.net

Classes in com.mockobjects.net that implement Socket
Modifier and Type
Class
Description
`class`
`MockSocket`
Methods in com.mockobjects.net that return Socket
Modifier and Type
Method
Description
`Socket`
MockSocketFactory.`createSocket(String aHost, int aPort)`
Methods in com.mockobjects.net with parameters of type Socket
Modifier and Type
Method
Description
`void`
MockSocketFactory.`setupCreateSocket(Socket aSocket)`